petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscStageLogGetCurrent

This function returns the stage from the top of the stack.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogGetCurrent(PetscStageLog stageLog, int *stage)

Not Collective Many br

### Input Parameter

stageLog -The PetscStageLog Many br

### Output Parameter

stage -The current stage Many br

### Notes

If no stage is currently active, stage is set to -1. Many br

Many br

Developer Notes: Inline since called for EACH PetscEventLogBeginDefault() and PetscEventLogEndDefault() Many br

### Keywords

log, stage

### See Also

PetscStageLogPush(), PetscStageLogPop(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages